package com.usky.iot.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.usky.common.core.bean.CommonPage;
import com.usky.iot.domain.BaseAlarmType;
import com.usky.common.mybatis.core.CrudService;
import com.usky.iot.domain.DmpProductInfo;
import com.usky.iot.service.vo.BaseAlarmTypeRequestVO;

import java.util.List;
import java.util.Objects;

/**
 * <p>
 * 告警类型表 服务类
 * </p>
 *
 * @author han
 * @since 2023-07-12
 */
public interface BaseAlarmTypeService extends CrudService<BaseAlarmType> {

    void add(BaseAlarmType baseAlarmType);

    void update(BaseAlarmType baseAlarmType);

    void remove(Integer id);

    CommonPage<BaseAlarmType> page(BaseAlarmTypeRequestVO baseAlarmTypeRequestVO);

    List<BaseAlarmType> tenantIdAlarmTypeList();

    boolean checkNameUnique(BaseAlarmType baseAlarmType);

}
